Skip to main content
GET
Balances, positions in the newest market and suggested next steps

Path Parameters

wallet
string
required

Wallet address. 0x-prefixed 20-byte address.

Pattern: ^0x[0-9a-fA-F]{40}$

Response

The wallet.

wallet
string
required

0x-prefixed 20-byte address.

Pattern: ^0x[0-9a-fA-F]{40}$
market
string
required

The newest market, which balances and positions refer to.

Pattern: ^0x[0-9a-fA-F]{40}$
eth
string
required

Base Sepolia ETH for gas.

Pattern: ^-?\d+(\.\d+)?$
tUsdc
string
required

Balance of this week's collateral.

Pattern: ^-?\d+(\.\d+)?$
allowance
string
required

tUSDC the market may spend from this wallet.

Pattern: ^-?\d+(\.\d+)?$
positions
object[]
required
agent
object | null
required

Set when the wallet is a registered agent.

agentLookup
enum<string>
required

unavailable: the agent registry couldn't be read, so agent is unknown.

Available options:
ok,
unavailable
nextSteps
string[]
required